%define name sharptagger
%define version 1.1.1
%define release %mkrel 2
%define oname SharpTagger

%define libname %mklibname %name 0

Summary: C#-bindings for the taglib audio metadata library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{oname}-%{version}.tar.bz2
Patch: SharpTagger-1.1.1-dllmap.patch.bz2
License: LGPL
Group: Development/Other
Url: http://www.public.asu.edu/~bnickel/SharpTagger/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: taglib-devel
BuildRequires: mono-devel
BuildRequires: gtk-sharp2
Requires: lib%name = %version

%description
These are C#-bindings for the taglib audio metadata library.

%package -n %libname
Group: System/Libraries
Summary: C#-bindings for the taglib audio metadata library
Provides: lib%name = %version

%description -n %libname
These are C#-bindings for the taglib audio metadata library.

%prep
%setup -q -n %oname-%version
%patch -p1 -b .dllmap

%build
g++ %optflags -fPIC -shared -Wl,-soname,libsharptagger.so.0 -o libsharptagger.so.0 *.cpp `taglib-config --libs --cflags` 
mcs -target:library -out:SharpTagger.dll -pkg:gtk-sharp-2.0 *.cs

%install
rm -rf $RPM_BUILD_ROOT
gacutil -i -package SharpTagger SharpTagger.dll -root %buildroot%_prefix/lib
install -m 755 libsharptagger.so.0 -D %buildroot%_libdir/libsharptagger.so.0

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_prefix/lib/mono/SharpTagger/
%_prefix/lib/mono/gac/SharpTagger/

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.0

%changelog
* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 1.1.1-2mdk
- fix build
- use mkrel

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 1.1.1-1mdk
- initial package
